PATH = ..\..\..
VCPATH = c:\msvc\bin

# Set the IDAPI INCLUDE and LIB directory
!ifndef IDAPIINC
IDAPIINC = ..\..\..\include
!endif

!ifndef IDAPILIB
IDAPILIB = ..\..\..\lib
!endif

# Set the full INCLUDE and LIB search paths
INCLUDE = $(IDAPIINC);$(INCLUDE)
LIB     = $(IDAPILIB);$(LIB)

OBJS = engine.obj inv_data.obj inv_main.obj inv_util.obj macro.obj

inventry.exe: $(OBJS) inventry.res inventry.def
    $(VCPATH)\link /NOD $(OBJS), inventry,, libw llibcew \
	 $(PATH)\lib\idapi $(PATH)\lib\CTL3DMSC oldnames, inventry.def
    $(VCPATH)\rc $*.res

inventry.res : inventry.rc inventry.h
    $(VCPATH)\rc -r -i$(INCLUDE) $*.rc

engine.obj  : engine.c
inv_data.obj  : inv_data.c
inv_main.obj :inv_main.c
inv_util.obj :inv_util.c
macro.obj :macro.c

.c.obj :
	$(VCPATH)\cl /c /nologo /G2 /W3 /Zi /AL /Gx- /Od /D "_DEBUG" /D \
		"WIN31" /D "STRICT" /FR /GA /Fd"INVENTRY.PDB" $*.c
